Name:           ghost-diagrams
Version:        0.8
Release:        12%{?dist}
Summary:        A program that generates patterns from tiles

Group:          Amusements/Graphics
License:        GPLv2+
URL:            http://logarithmic.net/pfh/ghost-diagrams
Source0:        http://logarithmic.net/pfh-files/ghost-diagrams/%{name}-%{version}.py
Source1:        ghost-diagrams.png
Patch0:         ghost-diagrams-0.8-exceptions.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  desktop-file-utils
Requires:       pygtk2

%description
Ghost Diagrams is a program that takes sets of tiles and tries to find
patterns into which they may be formed. The patterns it finds when given
randomly chosen tiles are often surprising.

%prep
%setup -q -T -c
cp -p %{SOURCE0} .
%patch0 -p 0 -b .exceptions

%build

%install
rm -rf $RPM_BUILD_ROOT
install -p -m 0644 -D %{name}-%{version}.py $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}.py
sed -i -e 1d $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}.py
install -p -m 0644 -D %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cat << EOF > $RPM_BUILD_ROOT%{_bindir}/%{name}
#!/bin/sh
exec python %{_datadir}/%{name}/%{name}.py
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat << EOF > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Ghost Diagrams
GenericName=Ghost Diagrams
Comment=Generate patterns from tiles
StartupNotify=true
Exec=%{_bindir}/%{name}
Icon=ghost-diagrams
Type=Application
Terminal=false
Categories=Graphics;GTK;
EOF
desktop-file-install \
  --delete-original \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%attr(0755, root, root) %{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}.*

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Apr 10 2013 Jon Ciesla <limburgher@gmail.com> - 0.8-10
- Drop desktop vendor tag.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb  2 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 0.8-3
- Converted string exceptions to object exceptions (#431338)

* Fri Feb  1 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 0.8-2
- Added an icon

* Thu Jan 31 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 0.8-1
- Initial RPM release
